Request

Response

    List Variants
    GET

    variants

    Returns a paginated list of Variants of a Release based on the limit and offset query string parameters specified in the request. If no limit and offset query string parameters are specified, it will return the first 50 Variants of a Release. The Release is specified by the client provided releaseId query string parameter.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/industrialized-construction/informed-design/v1/variants
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read data:write data:create account:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    Query String Parameters

    accessType*
    enum:string
    The type of integration or service used to determine access context. Possible values: ACC, BIM360, FUSION, CONTENTCATALOG, BRIDGE, PUBLIC
    accessId*
    string
    A composite string of identifiers that define the access scope for the given access type.
    limit
    int
    The number of items per page.
    offset
    int
    The number of items to skip before starting to collect the result set.
    releaseId*
    string: UUID
    The unique identifier of Release.
    * Required

    Response

    HTTP Status Code Summary

    200
    OK
    A page of Variants was retrieved successfully.
    400
    Bad Request
    The server could not process your request. It is likely due to incorrect formatting or missing information. The response body may indicate what is wrong. Please review and resubmit your request.
    401
    Unauthorized
    The supplied authorization header was invalid or the token scope was not acceptable. Verify your authentication credentials and try again.
    403
    Forbidden
    The request was valid but lacked the necessary permissions. Verify your credentials and permissions before sending the request again.
    429
    Too Many Requests
    The server has received too many requests within the allowed time window. Please wait before retrying.
    500
    Internal Server Error
    An unexpected error occurred on the server. Please try again later.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The pagination metadata.
    limit
    number
    The maximum number of items per page.
    offset
    number
    The page number.
    totalResults
    number
    The total matching results regardless of the limit.
    nextUrl
    string
    The URL for the next page if the current page is not the last page.
    previousUrl
    string
    The URL for the previous page if the current page is not the first page.
    results
    array: object
    The array of Variants.
    accessType
    enum:string
    The type of integration or service used to determine access context. Possible values: ACC, BIM360, FUSION, CONTENTCATALOG, BRIDGE, PUBLIC
    accessId
    string
    A composite string of identifiers that define the access scope for the given access type.
    productId
    string: UUID
    The unique identifier of Product.
    releaseId
    string: UUID
    The unique identifier of Release.
    id
    string: UUID
    The unique identifier of Variant.
    name
    string
    The name of the Variant.

    Max length: 255

    inputs
    array
    The array of inputs for the Variant.
    oneOf
    array:oneOf
    Boolean input
    object
    The Boolean input.
    type
    enum:string
    The type of the input. Will always be: BOOLEAN
    name
    string
    The name of the input.
    value
    boolean
    The value of the input.
    Numeric input
    object
    The Numeric input.
    type
    enum:string
    The type of the input. Will always be: NUMERIC
    name
    string
    The name of the input.
    value
    number
    The value of the input.
    unit
    string
    The unit of the input.
    Text input
    object
    The Text input.
    type
    enum:string
    The type of the input. Will always be: TEXT
    name
    string
    The name of the input.
    value
    string
    The value of the input.
    createdAt
    datetime: ISO 8601
    The timestamp(ISO 8601) when the resource was created.
    updatedAt
    datetime: ISO 8601
    The timestamp(ISO 8601) when the resource was last updated.

    Example

    A page of Variants was retrieved successfully.

    Request

    curl -v 'https://developer.api.autodesk.com/industrialized-construction/informed-design/v1/variants?accessType=ACC&accessId=12345678-1234-1234-1234-1234567890ab|urn:adsk.wipstg:fs.folder:co.ObAD7BpLXdKZiXK_OSJBow&limit=50&offset=1' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": "",
        "offset": "",
        "totalResults": "",
        "nextUrl": "",
        "previousUrl": ""
      },
      "results": [
        {
          "accessType": "ACC",
          "accessId": "",
          "productId": "",
          "releaseId": "",
          "id": "",
          "name": "Variant A",
          "inputs": [
            {
              "type": "BOOLEAN",
              "name": "",
              "value": ""
            }
          ],
          "createdAt": "",
          "updatedAt": ""
        }
      ]
    }
    
    Show More